ru.bitel.oss.systems.inventory.resource.server.bean

## Class VlanResourceSubscriptionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>
    - - ru.bitel.oss.systems.inventory.resource.server.bean.VlanResourceSubscriptionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VlanResourceSubscriptionDao
      extends ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VlanResourceSubscriptionDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteBySubscriberId(int subscriberId)` Deprecated. use `deleteBySubscriberId(short, int)`
    `int` | `deleteBySubscriberId(short subscriberType, int subscriberId)` Удаление всех подписок подписчика.
    `protected VlanResourceSubscription` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<VlanResourceSubscription>` | `list(int vlanResourceId, java.util.Date dateFrom, java.util.Date dateTo)` Возвращаетс список подписок на указанный период (пересечение периода).
    `Result<VlanResourceSubscription>` | `list(int vlanResourceId, java.util.Date dateFrom, java.util.Date dateTo, Page page)` Возвращаетс список подписок на указанный период (пересечение периода) c пейджинацией.
    `java.util.Set<java.lang.Integer>` | `subscribedVlans(int vlanResourceId, java.util.Date dateFrom, java.util.Date dateTo)` Возвращает список используемых VLAN на указанный период (пересечение периода).
    `protected void` | `updateImpl(VlanResourceSubscription b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VlanResourceSubscriptionDao

          public VlanResourceSubscriptionDao(java.sql.Connection con,
                                             int moduleId)

  - ### Method Detail

    - #### getFromRS

          protected VlanResourceSubscription getFromRS(java.sql.ResultSet rs)
                                                throws java.sql.SQLException,
                                                       ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(VlanResourceSubscription b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VlanResourceSubscription>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### subscribedVlans

          public java.util.Set<java.lang.Integer> subscribedVlans(int vlanResourceId,
                                                                  java.util.Date dateFrom,
                                                                  java.util.Date dateTo)
                                                           throws ru.bitel.bgbilling.common.BGException

      Возвращает список используемых VLAN на указанный период (пересечение периода).
      Parameters:
        `vlanResourceId` -
        `dateFrom` -
        `dateTo` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<VlanResourceSubscription> list(int vlanResourceId,
                                                               java.util.Date dateFrom,
                                                               java.util.Date dateTo)
                                                        throws ru.bitel.bgbilling.common.BGException

      Возвращаетс список подписок на указанный период (пересечение периода).
      Parameters:
        `vlanResourceId` -
        `dateFrom` -
        `dateTo` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public Result<VlanResourceSubscription> list(int vlanResourceId,
                                                       java.util.Date dateFrom,
                                                       java.util.Date dateTo,
                                                       Page page)
                                                throws ru.bitel.bgbilling.common.BGException

      Возвращаетс список подписок на указанный период (пересечение периода) c пейджинацией.
      Parameters:
        `vlanResourceId` -
        `dateFrom` -
        `dateTo` -
        `page` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteBySubscriberId

          @Deprecated
          public int deleteBySubscriberId(int subscriberId)
                                               throws ru.bitel.bgbilling.common.BGException

      Deprecated. use `deleteBySubscriberId(short, int)`
      Удаление всех подписок подписчика.
      Parameters:
        `subscriberId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteBySubscriberId

          public int deleteBySubscriberId(short subscriberType,
                                          int subscriberId)
                                   throws ru.bitel.bgbilling.common.BGException

      Удаление всех подписок подписчика.
      Parameters:
        `subscriberId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`